OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_SBuffer Class Reference

`#include <LDOM_OSStream.hxx>`

## Public Member Functions
Standard_EXPORT | LDOM_SBuffer (const Standard_Integer theMaxBuf)
Standard_EXPORT Standard_CString | str () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
virtual Standard_EXPORT int | overflow (int c=EOF)
virtual Standard_EXPORT int | underflow ()
virtual Standard_EXPORT int | xsputn (const char *s, int n)
Standard_EXPORT | ~LDOM_SBuffer ()
## Private Attributes
Standard_Integer | myMaxBuf
Standard_Integer | myLength
LDOM_StringElem * | myFirstString
LDOM_StringElem * | myCurString

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_SBuffer::LDOM_SBuffer | ( | const Standard_Integer | theMaxBuf | ) |

Standard_EXPORT LDOM_SBuffer::~LDOM_SBuffer | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void LDOM_SBuffer::Clear | ( |  | ) |

Standard_Integer LDOM_SBuffer::Length | ( |  | ) | const`[inline]`

virtual Standard_EXPORT int LDOM_SBuffer::overflow | ( | int | c = `EOF` | ) | `[virtual]`

Standard_EXPORT Standard_CString LDOM_SBuffer::str | ( |  | ) | const

virtual Standard_EXPORT int LDOM_SBuffer::underflow | ( |  | ) | `[virtual]`

virtual Standard_EXPORT int LDOM_SBuffer::xsputn | ( | const char * | s,
|  | int | n
| ) | `[virtual]`

## Field Documentation

LDOM_StringElem* LDOM_SBuffer::myCurString`[private]`

LDOM_StringElem* LDOM_SBuffer::myFirstString`[private]`

Standard_Integer LDOM_SBuffer::myLength`[private]`

Standard_Integer LDOM_SBuffer::myMaxBuf`[private]`

The documentation for this class was generated from the following file:

- LDOM_OSStream.hxx